ljnicol / qdhpw-etender

Queensland Department of Housing and Public Works tender information


Contributors ljnicol

Last run failed with status code 998.

Console output of last run

Injecting configuration and compiling...  -----> Ruby app detected -----> Compiling Ruby -----> Using Ruby version: ruby-2.4.4 -----> Installing dependencies using bundler 1.15.2  Running: bundle install --without development:test --path vendor/bundle --binstubs vendor/bundle/bin -j4 --deployment  Warning: the running version of Bundler (1.15.2) is older than the version that created the lockfile (1.16.1). We suggest you upgrade to the latest version of Bundler by running `gem install bundler`.  Fetching gem metadata from https://rubygems.org/........  Fetching version metadata from https://rubygems.org/.  Fetching https://github.com/openaustralia/scraperwiki-ruby.git  Using bundler 1.15.2  Fetching unf_ext 0.0.7.5  Fetching httpclient 2.8.3  Fetching mime-types-data 3.2016.0521  Installing mime-types-data 3.2016.0521  Fetching net-http-digest_auth 1.4.1  Installing httpclient 2.8.3  Installing net-http-digest_auth 1.4.1  Fetching net-http-persistent 2.9.4  Installing net-http-persistent 2.9.4  Fetching mini_portile2 2.3.0  Installing mini_portile2 2.3.0  Fetching ntlm-http 0.1.1  Installing ntlm-http 0.1.1  Installing unf_ext 0.0.7.5 with native extensions  Fetching sqlite3 1.3.13  Fetching webrobots 0.1.2  Installing webrobots 0.1.2  Installing sqlite3 1.3.13 with native extensions  Fetching mime-types 3.1  Installing mime-types 3.1  Fetching nokogiri 1.8.2  Installing nokogiri 1.8.2 with native extensions  Fetching unf 0.1.4  Installing unf 0.1.4  Fetching domain_name 0.5.20180417  Installing domain_name 0.5.20180417  Fetching http-cookie 1.0.3  Installing http-cookie 1.0.3  Fetching sqlite_magic 0.0.6  Installing sqlite_magic 0.0.6  Using scraperwiki 3.0.1 from https://github.com/openaustralia/scraperwiki-ruby.git (at morph_defaults@fc50176)  Fetching mechanize 2.7.5  Installing mechanize 2.7.5  Bundle complete! 2 Gemfile dependencies, 18 gems now installed.  Gems in the groups development and test were not installed.  Bundled gems are installed into ./vendor/bundle.  Bundle completed (38.00s)  Cleaning up the bundler cache.  Warning: the running version of Bundler (1.15.2) is older than the version that created the lockfile (1.16.1). We suggest you upgrade to the latest version of Bundler by running `gem install bundler`. -----> Detecting rake tasks   -----> Discovering process types  Procfile declares types -> scraper Injecting scraper and running... Scraper didn't create an SQLite database in your current working directory called data.sqlite. If you've just created your first scraper and not edited the code yet this is to be expected. To fix this make your scraper write to an SQLite database at data.sqlite. However, this could also be related to an intermittent problem which we're working hard to resolve: https://github.com/openaustralia/morph/issues/1064

Statistics

Total run time: 1 minute

Total cpu time used: less than 5 seconds

Total disk space used: 23.5 KB

History

  • Manually ran revision 1d133eed and failed .
  • Created on morph.io

Scraper code

qdhpw-etender